# NextClient

New repo for building vanilla nextcloud clients with TransIP theme.

## Current patches:

- **admin_osx_sign_app.sh.patch**: Fixes the signing of the app based on the owncloud patch (https://github.com/owncloud/client/pull/7007).
- **gui_creds_flow2auth.cpp.patch**: Sets the correct auth token creation URL for STACK.
- **gui_folder.cpp.patch**: Adjusts the sync client chunk size for better performance.
- **gui_folderman.cpp.patch**: Removes the remote wipe functionality of NextCloud.
- **gui_owncloudgui.cpp.patch**: Removes the always empty Apps entry from the dropdown menu.
- **gui_sharelinkwidget.cpp.patch**: Disables some unsupported share options.
- **gui_shareusergroupwidget.cpp.patch**: Never fetch user avatars.
- **gui_userinfo.cpp.patch**: Never fetch user avatars.
- **libsync_account.cpp.patch**: Changes the URL to link nodes to. Marks the pretended STACK owncloud server version as trusted and supported.
- **libsync_configfile.cpp.patch**: Lowers the DEFAULT_REMOTE_POLL_INTERVAL from 30 to 15 seconds, to let users notice a login sooner. Also changes the default confirmation setting boxes for synchronizing folders to be false/unchecked.
- **libsync_csync_exclude.cpp.patch**: Sets the maximum supported filename length to 148 bytes.
- **libsync_networkjobs.cpp.patch**: Allows new login sequence with STACK.
- **libsync_owncloudpropagator.cpp.patch**: Fixes an annoying crash bug in the Nextcloud client that happens when an upload job returns a 4xx status code.
- **libsync_owncloudpropagator_p.h.patch**: Adds support for more possible http status codes.
- **libsync_propagateupload.cpp.patch**: Adds support for more possible http status codes.
- **libsync_propagateuploadng.cpp.patch**: Adjusts the sync client chunk size for better performance.
- **libsync_propagateuploadv1.cpp.patch**: Disables parallel chunk upload.
- **libsync_syncoptions.h.patch**: Adjusts the sync client chunk size for better performance.

## Create new version

To create a new version, edit the NEXTCLOUD_VERSION file and set it to the https://github.com/nextcloud/desktop git tag you want to build.

Then add an entry to the various changelogs in linux/debian*/changelog files.
